Bug 704544 - Review Request: perl-Dancer - Lightweight yet powerful web application framework
Summary: Review Request: perl-Dancer - Lightweight yet powerful web application framework
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 729504
TreeView+ depends on / blocked
 
Reported: 2011-05-13 14:35 UTC by Marcela Mašláňová
Modified: 2011-08-10 15:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-20 06:29:32 UTC
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marcela Mašláňová 2011-05-13 14:35:03 UTC
SRPM: http://mmaslano.fedorapeople.org/review/perl-Dancer-1.3040-1.fc14.src.rpm
SPEC: http://mmaslano.fedorapeople.org/review/perl-Dancer.spec
Description:
Dancer is a web application framework designed to be as effortless as
possible for the developer, taking care of the boring bits as easily as
possible, yet staying out of your way and letting you get on with writing
your code.

Comment 1 Emmanuel Seyman 2011-05-14 21:51:27 UTC
Taking.

Comment 2 Emmanuel Seyman 2011-05-14 22:21:09 UTC
=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [!] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3072339

perl(CGI) and perl(YAML), at least, are needed as BuildRequires.

 [x] Rpmlint output:
perl-Dancer.noarch: E: incorrect-fsf-address /usr/share/doc/perl-Dancer-1.3040/LICENSE
2 packages and 1 specfiles checked; 1 errors, 0 warnings.

I won't block on this but please consider sending a bug upstream to ask for
a change of the license (the FSF changed their address a while ago).

 [x] Package is not relocatable.
 [x] Buildroot is correct
None defined in spec file, default used.
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
aee9a71497f402414bf34964051cf5de  Dancer-1.3040.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [!] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3072339

 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [!] %check is present and the tests pass
Files=206, Tests=1514, 40 wallclock secs ( 0.57 usr  0.35 sys + 32.76 cusr  3.57 csys = 37.25 CPU)
Result: FAIL
Failed 12/206 test programs. 62/1514 subtests failed.

NOT APPROVED.

Comment 3 Marcela Mašláňová 2011-05-16 08:46:50 UTC
http://mmaslano.fedorapeople.org/review/perl-Dancer-1.3040-2.fc14.src.rpm
http://mmaslano.fedorapeople.org/review/perl-Dancer.spec

I've added build requires of tests. I might file a bug on FSF address.

Comment 4 Emmanuel Seyman 2011-05-18 20:19:51 UTC
=== KEY ===
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3080024

 [x] Rpmlint output:
perl-Dancer.noarch: E: incorrect-fsf-address /usr/share/doc/perl-Dancer-1.3040/LICENSE
2 packages and 1 specfiles checked; 1 errors, 0 warnings.

I won't block on this but please consider sending a bug upstream to ask for
a change of the license (the FSF changed their address a while ago).

 [x] Package is not relocatable.
 [x] Buildroot is correct
None defined in spec file, default used.
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
aee9a71497f402414bf34964051cf5de  Dancer-1.3040.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3080024

 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=206, Tests=1784, 42 wallclock secs ( 0.65 usr  0.43 sys + 31.83 cusr  5.43 csys = 38.34 CPU)
Result: PASS

APPROVED.

Comment 5 Marcela Mašláňová 2011-05-19 06:30:08 UTC
New Package SCM Request
=======================
Package Name: perl-Dancer
Short Description: Lightweight yet powerful web application framework
Owners: mmaslano psabata ppisar
Branches: 
InitialCC: perl-sig

Comment 6 Jason Tibbitts 2011-05-19 16:24:44 UTC
Git done (by process-git-requests).

Comment 7 Marcela Mašláňová 2011-08-10 14:55:53 UTC
Package Change Request
======================
Package Name: perl-Dancer
New Branches: f15 el6
Owners: mmaslano psabata ppisar jpo
InitialCC: perl-sig

[Request from jpo in #729504]

Comment 8 Gwyn Ciesla 2011-08-10 15:11:31 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.